Page Summary
-
The PATCH request updates a subproperty Event Filter using a specific URL format with gRPC Transcoding syntax.
-
The
subpropertyEventFilter.namepath parameter identifies the specific filter to be updated. -
The
updateMaskquery parameter is required to specify which fields of the SubpropertyEventFilter should be updated. -
The request and response bodies contain instances of the SubpropertyEventFilter resource.
-
Updating a subproperty Event Filter requires the
https://www.googleapis.com/auth/analytics.editauthorization scope.
- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Updates a subproperty Event Filter.
HTTP request
PATCH https://analyticsadmin.googleapis.com/v1alpha/{subpropertyEventFilter.name=properties/*/subpropertyEventFilters/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
subpropertyEventFilter.name |
Output only. Format: properties/{ordinary_property_id}/subpropertyEventFilters/{sub_property_event_filter} Example: properties/1234/subpropertyEventFilters/5678 |
Query parameters
| Parameters | |
|---|---|
updateMask |
Required. The list of fields to update. Field names must be in snake case (for example, "field_to_update"). Omitted fields will not be updated. To replace the entire entity, use one path with the string "*" to match all fields. This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of SubpropertyEventFilter.
Response body
If successful, the response body contains an instance of SubpropertyEventFilter.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/analytics.edit